# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Created by pyp2rpm-1.1.2
%global pypi_name docker-scripts
%global with_python3 1
%define version 1.0.0rc1

Name:           python-docker-scripts
Version:        %{version}
Release:        alt1_1
Group:          Development/Python
Summary:        A swiss-knife tool that could be useful for people working with Docker

License:        MIT
URL:            https://github.com/goldmann/docker-scripts
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-mock
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-setuptools
BuildRequires:  python3-module-mock
%endif # if with_python3
 
Requires:       python-module-setuptools
Source44: import.info

%description
A swiss-knife tool that could be useful for people working with Docker

%if 0%{?with_python3}
%package -n python3-module-docker-scripts
Group: Development/Python
Summary:        A swiss-knife tool that could be useful for people working with Docker
 
Requires:       python3-module-setuptools

%description -n python3-module-docker-scripts
A swiss-knife tool that could be useful for people working with Docker
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{name}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{name}-%{version}-%{release}
find %{_builddir}/python3-%{name}-%{version}-%{release} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{name}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{name}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
mv %{buildroot}%{_bindir}/docker-scripts %{buildroot}%{_bindir}/docker-scripts3
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{_bindir}/docker-scripts
%{python_sitelibdir_noarch}/docker_scripts
%{python_sitelibdir_noarch}/docker_scripts-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-module-docker-scripts
%doc README.rst LICENSE
%{_bindir}/docker-scripts3
%{python3_sitelibdir_noarch}/docker_scripts
%{python3_sitelibdir_noarch}/docker_scripts-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.0rc1-alt1_1
- new version

